package Text::CommonMark;

our $VERSION = '0.0004'; # VERSION
# ABSTRACT: A wrapper around the CommonMark C library (deprecated)

use strict;
use warnings;
use Exporter 'import';
use CommonMark;
our @EXPORT = qw/commonmark_to_html/;

sub commonmark_to_html {
    return CommonMark->markdown_to_html(shift);
}

1;

__END__

=pod

=encoding UTF-8

=head1 NAME

Text::CommonMark - A wrapper around the CommonMark C library (deprecated)

=head1 VERSION

Version 0.0004, released 2016-01-31.

=head1 SYNOPSIS

  use Text::CommonMark;

  my $html = commonmark_to_html('a text');
  # $html -> '<p>A text</p>'

=head1 DESCRIPTION

Deprecated, will be removed from CPAN soon.

This is now a thin wrapper around L<CommonMark>. Use that directly instead.

=head1 SOURCE

L<https://github.com/Csson/p5-Text-CommonMark>

=head1 HOMEPAGE

L<https://metacpan.org/release/Text-CommonMark>

=head1 AUTHOR

Erik Carlsson <info@code301.com>

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2016 by Erik Carlsson.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

=cut
